Name:           perl-PBS
Version:        0.31
Release:        3%{?dist}
Summary:        Perl binding for the Portable Batch System client library

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://www-rcf.usc.edu/~garrick/perl-PBS/
Source0:        http://www-rcf.usc.edu/~garrick/perl-PBS/perl-PBS-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtorque-devel
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a Perl binding for the Portable Batch System client library (as from
TORQUE or OpenPBS).  This allows you to stat the server, nodes, or jobs, submit
jobs, alter jobs, etc.

Specifically, the ifl, rpp, and rm APIs are implemented here.


%package -n pbstop
Summary: Full-screen curses monitor for PBS
Group: Applications/System
Version: 4.14

# torque-client is needed for pbs_iff
Requires: torque-client

# this isn't picked up by autoreq because it is eval'd in a BEGIN block
Requires: perl(PBS)

%description -n pbstop
A highly useful way to monitor your cluster in a terminal window.


%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

chmod ugo-x demos/*

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE Artistic demos CHANGELOG
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/PBS
%{perl_vendorarch}/PBS.pm
%{_mandir}/man3/*.3*

%files -n pbstop
%defattr(-,root,root,-)
%{_mandir}/man1/*.1*
%{_bindir}/pbstop


%changelog
* Fri Sep  8 2006 Garrick Staples <garrick@usc.edu> 0.31-3
- previous build is mysteriously missing from devel repo

* Sun Aug 27 2006 Garrick Staples <garrick@usc.edu> 0.31-2
- FC6 mass rebuild

* Wed Apr 19 2006 Garrick Staples <garrick@usc.edu> 0.31-1
- Initial spec file
